## gnome-shell 3.38.4

=== debian/changelog ===
gnome-shell (3.38.4-1ubuntu3~21.04.1) hirsute; urgency=medium

  * No-change backport to hirsute
  * debian: Update references to debian/hirsute

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 19:11:49 +0200

gnome-shell (3.38.4-1ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add workspacesView-Only-use-valid-allocations-when-avail.patch.
    To stop bogus values being used in _updateWorkspacesActualGeometry(),
    which would cause the overview to fail to toggle. (LP: #1922353)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream calendar-server crash fix
    (LP: #1915929)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 18:51:34 +0200

gnome-shell (3.38.4-1ubuntu2) hirsute; urgency=medium

  [ Daniel van Vugt ]
  * Add layout-Try-to-allocate-before-getting-size-of-tracke.patch.
    To fix LP: #1919979 and also to re-fix LP: #1917939
    (LP: #1919979, #1917939)
  * Drop layout-Allow-updating-struts-in-Overview.patch.
    Because it caused a regression and doesn't seem to have been necessary
    anyway. (LP: #1922772)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix suggestions box actor population in non-latin languages
    (LP: #1914230)
  * debian/patches: Enable to use Escape to cancel auth requests (with limits)
    (LP: #1921929)
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 06:20:27 +0200

gnome-shell (3.38.4-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing a new upstream release
  * debian/control: (Build-)Depends on mutter 3.38.4
  * debian/patches:
    - Refresh
    - Remove input-thread related patches
    - Fix handling of OSK codes in keyboard (LP: #1918738)
    - Ensure Cancel button uses proper arguments (LP: #1918666)
    - Allow updating struts in Overview (LP: #1917939)
    - Configure Login Scree: cleanup code to match shell's JS
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Mar 2021 07:25:17 +0100

gnome-shell (3.38.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix missing X11 fallback icons (particularly for games and other
      programs not installed system-wide), a regression in 3.37.3
    - Fix a Shell crash when an X11 window with an invalid/empty icon
      is closed, possibly a regression in 3.38.3-3
    - Fix a memory leak when getting the icon from the texture cache
    - Fix a possible use-after-free when removing a window
    - Don't reposition unrelated windows when dragging a window onto the
      workspace switcher
    - Make sure the blur effect shader can be compiled successfully
    - Many other fixes that we already had via debian/patches
  * Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Mar 2021 09:52:47 +0000

gnome-shell (3.38.3-4) unstable; urgency=medium

  * Team upload
  * Update to upstream commit 3.38.3-11-ga87aae8f4 from gnome-3-38 branch
    - Fix a crash if libsoup version 3 is installed
    - Update German translation

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Mar 2021 20:35:00 +0000

gnome-shell (3.38.3-3ubuntu2) hirsute; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * debian/patches/ubuntu/configure_login_screen.patch:
    Make GDM background configurable with gsettings (LP: #1918613)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 25 Mar 2021 10:44:17 +0100

gnome-shell (3.38.3-3ubuntu1) hirsute; urgency=medium

  * debian/patches: Switch to the new API to get actor from inputdevice
    (LP: #1690719)

