=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -47,7 +46,7 @@
                libgtk-3-dev (>= 3.21.6),
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-7-dev (>= 3.38.4),
+               libmutter-7-dev (>= 3.38.0),
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -69,10 +68,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/hirsute
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/hirsute
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bullseye
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -91,7 +88,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-7 (>= 3.38.4),
+         gir1.2-mutter-7 (>= 3.38.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -100,9 +97,9 @@
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
          gjs (>= 1.65.1),
+         gnome-backgrounds (>= 3.13.90),
          gnome-settings-daemon (>= 3.16.0),
          gnome-shell-common (= ${source:Version}),
-         ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.33.1),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
@@ -111,39 +108,29 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt (>= 0.3),
+            chrome-gnome-shell,
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
             gnome-control-center (>= 1:3.25.2),
-            gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
             switcheroo-control,
-            ubuntu-session | gnome-session,
-            xserver-xorg-legacy,
             unzip
-Suggests: chrome-gnome-shell,
-          gir1.2-telepathyglib-0.12,
-          gnome-themes-standard-data,
-          gnome-backgrounds (>= 3.13.90),
+Suggests: gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0)
 Breaks: gnome-shell-extension-appindicator (<< 33),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
         gnome-shell-extension-dash-to-panel (<= 18-1),
         gnome-shell-extension-dashtodock (<< 67+git20200225-1),
-        gnome-shell-extension-desktop-icons (<< 20.04.0+git20200825),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
         gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
-        gnome-session (<< 3.35.3-1ubuntu4~),
-        nautilus (<< 1:3.30),
-        yaru-theme-gnome-shell (<< 20.10.3~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -157,7 +144,6 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
