## gnome-shell 40.5

=== debian/changelog ===
gnome-shell (40.5-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * debian/patches: Avoid full meta context finalization.
    To workaround (prevent) shutdown crashes (LP: #1936826, #1942031, #1942121,
    LP: #1943406, #1944054, #1945010, #1945116, #1944388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Oct 2021 04:52:11 +0200

gnome-shell (40.5-1ubuntu1) impish; urgency=medium

  * Merge with debian
  * debian/patches: Refresh and update to current upstream
  * debian/patches: Move ubuntu-only patches into the ubuntu namespace
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

  [ Jeremy Bicha ]
  * Revert "Skip ppc64el tests to fix FTBFS"

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 25 Sep 2021 13:07:30 +0200

gnome-shell (40.5-1) unstable; urgency=medium

  * New upstream release:
    - Optimize rendering of fullscreen zoom
    - Fix glitchy launch animations when leaving overview
    - Fix wrong separator position in dash
    - Fix OSK not registering button presses on X11
    - Fix work area getting messed up by hidden panels
    - Fix IM candidate popover position

  [ Simon McVittie ]
  * Revert "Avoid libgweather 40 dependency"
    libgweather 40 has now been uploaded to unstable.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 22:07:26 +0200

gnome-shell (40.4-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * gnome-shell-extension-prefs: Add patch to give Debian-specific advice.
    We package gnome-extensions-app in the same binary package as
    gnome-shell-extension-prefs, so there's never a need to install it
    separately, either via Debian packages or from Flathub.
  * gnome-shell-extension-prefs: Add Provides on gnome-extensions-app.
    The gnome-shell-extension-prefs program in this package is deprecated,
    and the gnome-extensions-app program is now the main reason to want to
    install it, so let's make it a bit more discoverable.
  * gnome-shell: Add Suggests on gnome-shell-extension-prefs.
    The g-s-e-p program itself is deprecated, but the g-s-e-p package also
    contains gnome-extensions-app, which is the recommended UI for
    extensions management.

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add missing dependency on gir1.2-gtk-4.0

  [ Gunnar Hjalmarsson ]
  * Add libgtk-3-bin to Build-Depends for dh_translations (LP: #1941954)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 16:44:18 +0100

gnome-shell (40.4-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #992870)
  * Depend on gnome-settings-daemon 40.
    Older versions don't autostart the screensaver service, causing screen
    locking to fail.
    Thanks to jordi
  * Depend on gsettings-desktop-schemas 40.
    This is implicit in our dependency on a newer gnome-settings-daemon,
    but let's make it explicit that all the core GNOME packages need to
    go together.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:54:49 +0100

gnome-shell (40.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't include hidden search results in keyboard navigation
    - Fix visual issues with extensions that occupy screen edges
    - Add focus indications for switch widgets, such as VPN toggles
    - Fix visual glitch when dragging window preview in overview

