=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -19,14 +20,14 @@
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
-               gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
+               gir1.2-gweather-3.0 (>= 40.0) <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
                gnome-pkg-tools (>= 0.11),
-               gnome-settings-daemon-common <!nocheck>,
+               gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection (>= 1.49.1),
-               gsettings-desktop-schemas-dev (>= 3.33.1),
+               gsettings-desktop-schemas-dev (>= 40~),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -43,10 +44,12 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
                libgstreamer-plugins-base1.0-dev,
+               libgtk-3-bin,
                libgtk-3-dev (>= 3.21.6),
+               libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-7-dev (>= 3.38.0),
+               libmutter-8-dev (>= 40.0),
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -68,27 +71,32 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bullseye
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
 Depends: evolution-data-server (>= 3.33.1),
          gir1.2-accountsservice-1.0,
+         gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
-         gir1.2-freedesktop,
          gir1.2-gcr-3 (>= 3.7.5),
          gir1.2-gdesktopenums-3.0 (>= 3.12),
+         gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0 (>= 1.56.0),
          gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.35.90),
+         gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
-         gir1.2-gweather-3.0 (>= 3.25.91),
+         gir1.2-gtk-4.0,
+         gir1.2-gweather-3.0 (>= 40.0),
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-7 (>= 3.38.0),
+         gir1.2-mutter-8 (>= 40.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -96,11 +104,12 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
+         gir1.2-webkit2-4.0 (>= 2.16.0),
          gjs (>= 1.65.1),
-         gnome-backgrounds (>= 3.13.90),
-         gnome-settings-daemon (>= 3.16.0),
+         gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 3.33.1),
+         ubuntu-wallpapers,
+         gsettings-desktop-schemas (>= 40~),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
          python3,
@@ -108,29 +117,42 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt (>= 0.3),
-            chrome-gnome-shell,
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
             gnome-control-center (>= 1:3.25.2),
+            gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
-Suggests: gir1.2-telepathyglib-0.12,
-          gir1.2-telepathylogger-0.2 (>= 0.8.0)
-Breaks: gnome-shell-extension-appindicator (<< 33),
+Suggests: chrome-gnome-shell,
+          gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
+          gir1.2-telepathyglib-0.12,
+          gir1.2-telepathylogger-0.2 (>= 0.8.0),
+          gnome-backgrounds (>= 3.13.90),
+          gnome-shell-extension-prefs,
+Breaks: gnome-shell-extension-appindicator (<< 36),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
-        gnome-shell-extension-dash-to-panel (<= 18-1),
-        gnome-shell-extension-dashtodock (<< 67+git20200225-1),
+        gnome-shell-extension-dash-to-panel (<< 43),
+        gnome-shell-extension-dashtodock (<< 70),
+        gnome-shell-extension-desktop-icons (<< 21.04),
+        gnome-shell-extension-desktop-icons-ng (<< 0.16.0~),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
-        gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
+        gnome-shell-extension-top-icons-plus (<< 27-3~),
+        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
+        gnome-shell-extension-workspaces-to-dock (<< 54~),
+        gnome-shell-extensions (<< 40.0~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
+        gnome-session (<< 3.35.3-1ubuntu4~),
+        nautilus (<< 1:3.30),
+        yaru-theme-gnome-shell (<< 21.10.1~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -144,6 +166,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 21.10.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -151,11 +174,13 @@
 
 Package: gnome-shell-extension-prefs
 Architecture: linux-any
-Depends: gnome-shell (= ${binary:Version}),
+Depends: gir1.2-gtk-4.0,
+         gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gnome-extensions-app
 Recommends: chrome-gnome-shell
 Breaks: gnome-shell (<< 3.36.0-2)
 Replaces: gnome-shell (<< 3.36.0-2)
