=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                gnome-pkg-tools (>= 0.11),
                gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection (>= 1.49.1),
-               gsettings-desktop-schemas-dev (>= 40~),
+               gsettings-desktop-schemas-dev (>= 42~beta),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -35,11 +35,11 @@
                libedataserver1.2-dev (>= 3.33.1),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.65.1),
+               libgjs-dev (>= 1.71.1),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
-               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
+               libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-3-dev (>= 3.35.90),
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
@@ -49,7 +49,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-8-dev (>= 40.0),
+               libmutter-10-dev (>= 42.0),
+               libmutter-test-10 (>= 42.0) <!nocheck>,
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -61,7 +62,8 @@
                libxfixes-dev,
                libxml2-dev,
                mesa-common-dev,
-               meson (>= 0.53.0),
+               meson (>= 0.58.0),
+               mutter (>= 42.0) <!nocheck>,
                pkg-config (>= 0.22),
                sassc,
                systemd [linux-any],
@@ -69,7 +71,7 @@
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
@@ -80,6 +82,7 @@
 Architecture: linux-any
 Depends: evolution-data-server (>= 3.33.1),
          gir1.2-accountsservice-1.0,
+         gir1.2-adw-1,
          gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
          gir1.2-gcr-3 (>= 3.7.5),
@@ -88,15 +91,16 @@
          gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0 (>= 1.56.0),
-         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
+         gir1.2-gnomebluetooth-3.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.35.90),
          gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gtk-4.0,
          gir1.2-gweather-3.0 (>= 40.0),
+         gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-8 (>= 40.0),
+         gir1.2-mutter-10 (>= 42.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -105,14 +109,13 @@
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
          gir1.2-webkit2-4.0 (>= 2.16.0),
-         gjs (>= 1.65.1),
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         ubuntu-wallpapers,
-         gsettings-desktop-schemas (>= 40~),
+         gsettings-desktop-schemas (>= 42~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
          python3,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -125,16 +128,17 @@
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
+            power-profiles-daemon,
             switcheroo-control,
             ubuntu-session | gnome-session,
             xserver-xorg-legacy,
             unzip
-Suggests: chrome-gnome-shell,
-          gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
+Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0),
           gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
+          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 36),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
@@ -152,7 +156,7 @@
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
         gnome-session (<< 3.35.3-1ubuntu4~),
         nautilus (<< 1:3.30),
-        yaru-theme-gnome-shell (<< 21.10.1~),
+        yaru-theme-gnome-shell (<< 22.04.1~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -166,7 +170,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 21.10.1~)
+Recommends: yaru-theme-gnome-shell (>= 22.04.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -174,7 +178,9 @@
 
 Package: gnome-shell-extension-prefs
 Architecture: linux-any
-Depends: gir1.2-gtk-4.0,
+Depends: gir1.2-adw-1,
+         gir1.2-gtk-4.0,
+         gjs (>= 1.71.1),
          gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},
