=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,25 @@
 %:
 	dh $@ --with bash_completion
 
+CONFFLAGS =
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFFLAGS = \
+CONFFLAGS += \
 	-Dnetworkmanager=true \
+	-Dsoup2=true \
 	-Dsystemd=true
+endif
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+CONFFLAGS += -Dtests=true
+else
+CONFFLAGS += -Dtests=false
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
-		-Dbash_completion=true \
+		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
 
 override_dh_makeshlibs:
