## gnome-shell 42.2

=== debian/changelog ===
gnome-shell (42.2-0ubuntu0.2) jammy; urgency=medium

  * New upstream release (LP: #1977776)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 21:28:11 -0400

gnome-shell (42.1-0ubuntu0.1) jammy; urgency=medium

  * New upstream release (LP: #1973373, LP: #1968911)
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 May 2022 08:21:57 -0400
